Python is an interpreted, general-purpose high-level programming language whose design philosophy emphasizes code readability.

learn more… | top users | synonyms

0
votes
0answers
12 views

How to sync Google Calendar gcalcli with Conky/Desktop?

Main Question: As the title says, I want to sync my Google Calendar with the Linux Mint 17.2 desktop; preferably through Conky. I'm aware of a method using Thunderbird but I'd rather have it set up as ...
1
vote
1answer
11 views

How to install cctrlapp on debian?

I try to install the cctrl command line client on a debian 8 machine. Following the install instructions, I installed python, pip and then (via pip) cctrl apt-get install python apt-get install ...
2
votes
2answers
147 views

Using Python and Scapy to sniff for ARP on Pi

I'm trying to use a Raspberry Pi to find ARP requests from a specific wireless device on my network. It's one of those Amazon dash buttons. Someone used this code to listen to when the dash connects ...
0
votes
0answers
49 views

Script won't run in cron but runs fine in root shell

My Problem: I have a python script that runs fine when run manually but does not complete when run using cron. My script fails in cron because it contains pexpect commands that require an interactive ...
0
votes
1answer
19 views

How do I create a deb package for a python progarm?

I created a python game that I want to distribute on my website via a Debian package. The game has a few dependence that are usually not installed (such as pygame) on some linux computers, but often ...
2
votes
1answer
51 views

Restrict user script execution

I have a game engine running on a Debian server. The game involves bots, which are coded in Python by the players. A player write a bot in Python Upon validation, the code is sent to the server A ...
0
votes
0answers
48 views

Capture user input in SSH

Say you are at work, you ssh to your home PC and opened a python game.py. No VNC. Is it possible to press down and up, space, etc. inside the window of the game? No need to see the actual game ...
3
votes
3answers
572 views

how to execute a bash command in a python script

How can I launch a bash command with multiple args (for example "sudo apt update") from a python script?
2
votes
3answers
957 views

installing eric5 in CentOS 6.4

I am trying to install Eric Python IDE 5 in my CentOS 6.4. The problem here is even I have installed PyQT4 its again saying that module is missing. what I am supposed to do ? here is the terminal log ...
1
vote
2answers
1k views

“except (IOError, OSError), e: SyntaxError: invalid syntax” when configuring python-lockfile

I am having trouble installing any new packages in Ubuntu because of python. I tried sudo apt-get install python3 python3-dev but I am getting the following output :: dpkg: error processing ...
0
votes
1answer
1k views

Debian Stable (“wheezy”): was trying to build Python 3.4, and I ran sudo make install — am I in trouble now?

So, I wanted to run Python 3.4.x inside a virtualenv virtual environment. I learned that the first step should be to build Python 3.4.x. I was doing so in /usr/bin/Python3.4.x (a folder I created), ...
0
votes
2answers
17 views

How to install PyX correctly for Scappy use? [closed]

When I try to run Scappy interactive shell I am faced with this: INFO: Can't import PyX. Won't be able to use psdump() or pdfdump() (The shell is working but of course I can not use the above ^ :( ...
0
votes
0answers
12 views

Continuum Anaconda Fedora 22 path

After an update to Windows 10 caused problems in my dual boot system I had to reinstall Fedora 22. So, starting with a fresh system I reinstalled my work environment. The one installation that has ...
0
votes
1answer
16 views

Offlineimap unknown SSL protocol error

I am using offlineimap to fetch mail from several IMAP servers. This used to work but today offlineimap has been unable to fetch mail, producing the following errors: *** Processing account example ...
0
votes
0answers
11 views

Upgrade python from 2.4 to 2.6 on RHEL 5.7

Currently We have 2.4.3-56.el5 version of python installed on RHEL 5.7. Need to install nodejs for which the python version should be upgraded to python26. I have downloaded the below rpms: ...
0
votes
0answers
22 views

How to execute python script on Visual studio / Other Editor with Linux environment

as all know it is impossible to write long python script directly on Linux machine with vi editor so we use (win editor) tools as visual studio / Pycharm and so on .... so my question is how to ...
0
votes
0answers
26 views

Continuum Anaconda Fedora 22 Linux path

After an update to Windows 10 I encounter problems in my dual boot system so I had to re-install Fedora 22. So, starting with a fresh system I re-installed my work environment. The one installation ...
1
vote
1answer
22 views

How to add entry for bootable external drive partition to internal bootloader?

I created a bootable partion on a Toshiba Canvio 2 for LinuxMint, leaving one other partition of same size for possibly another install in the future and the rest of the drive is for storage and back ...
8
votes
1answer
21k views

Running Python on ChromeOS

Is it possible to run the Python interpreter on a ChromeOS machine? I've found various editors you can use, but I would like the ability to run python applications as well. I would like to purchase ...
1
vote
2answers
40 views

Using embedded python script in Makefile

I'm trying to run a Python snippet inside a Make target, but I'm having trouble trying to figure out how these things work in Make. Here is my attempt so far: define BROWSER_PYSCRIPT import os, ...
0
votes
1answer
34 views

How to build openssl with clang(rather than gcc) on a FreeBSD machine?

I have a 64 bit FreeBSD build machine. I need to add https support in my python3 application code. For that it is advised to build/compile python with openssl support. I do not need any gcc dependency ...
-1
votes
2answers
30 views

Loop over columns and store values to associative arrays

I've got a text file containing two columns, like so: 26 0.000342231 27 0.000342231 28 0.000684463 29 0.00136893 30 0.00102669 31 0.00308008 32 0.00308008 33 0.00444901 34 0.00718686 35 0.00718686 36 ...
0
votes
0answers
18 views

How do I circumvent or gain root priviliges for pacman with PyDev?

I have downloaded and forked a project that I like to tinker with in Eclipse using PyDev. However, this project makes use of the package manager pacman that installs and uninstalls packages and needs ...
0
votes
2answers
49 views

pexpect fails to match command is grater than 65 characters

Issue with pexpect , python. Pexepect fails to do expect, If the length of the command is greater than 65. #!/usr/bin/python import pexpect sshCmd='ssh root@15.186.22.105' prompt='[root@user ~]#' ...
1
vote
1answer
25 views

Python processes appearing and disappearing in top

I concurrently launched around 12 Python scripts on a 24-core server (Ubuntu 14.04 LTS x64). Each of Python script takes around one hour to complete. I see in top that they appear quite sporadically, ...
-2
votes
0answers
27 views

Help with creating temperature humidity script [migrated]

I am a completely inexperienced A level student trying to get to grips with python to complete an assignment. I have been given a week to complete it- I have very little knowledge of what to do and ...
1
vote
1answer
124 views

Centos 7.1.1503 no longer has some static libs that python packages assume are present

I ran repoquery -ql readline-devel and it revealed that only various .so libs are a part of this repository. /usr/include/readline /usr/include/readline/chardefs.h /usr/include/readline/history.h ...
3
votes
2answers
4k views

Installing python modules for python2.6

On my CentOS 5.8 system (el5 , 64bit), I had python2.4 after OS install and I installed python2.6 now. Now I want to install python modules using yum. But whenever I install a new python module it ...
3
votes
1answer
859 views

Python script run while screen is locked

I have a python script which seems to be failing to continue running its while True: ... sleep() loop my code is at http://github.com/xdaimon/xdaimonConky What happens is I autostart python on ...
2
votes
3answers
2k views

'ImportError: No module named _struct' error when managing packages

I'm running elementary OS 0.2 (based on Ubuntu 12.04) and starting today I'm seeing a weird error when attempting to install/upgrade packages. Just now for example I did a: sudo apt-get update ...
0
votes
0answers
20 views

I want to recompile a package with python3

I need to recompile a package on slackware using python3 instead python2.7 I have tried to set a link python3->python but doesn't work. This is the slackbuild wich i use
1
vote
2answers
1k views

How do I correct the path for pip?

I'm trying to get pip to point to a different install rather than the default. It is currently pointing to /usr/bin/pip, but I want it to point to /usr/local/bin/pip. I believe I have the path set ...
0
votes
0answers
24 views

Install previous version of iceweasel (raspberry Pi)

I am trying to get selenium (python) working on the raspberry pi. I am using iceweasel for lack of another browser, but there is some bug im not sure about in the current version that stops selenium ...
1
vote
1answer
1k views

Trouble installing lxml with custom install location for libxml2/libxslt

I am attempting to install a python module called lxml to my account on a supercomputer running RHEL. I do NOT have root access or super user status. lxml requires the dev/devel versions of libxml2 ...
0
votes
0answers
12 views

Zenoss pythonThresholdException error

Zenoss query here, first things first: I have a CentOS 5.6 virtual server hosting Zenoss 4.2.5 and I am experienced no compatibility issues with this so far - it does everything I need. The problem ...
1
vote
1answer
663 views

How can i fix the following gmp library dependency error while trying to install Charm?

I am trying to install Charm crypto python framework in ubuntu 11.04 with python 2.7. Requirements say that i should have gmp installed 5.*. I have successfully installed gmp lib and i have run all ...
4
votes
5answers
9k views

How can I upgrade pip on Ubuntu 10.04?

On Ubuntu 10.04 I've used apt-get install pip to install pip after which I installed django. Then I tried to uninstall django with pip via pip uninstall django which gives me: pip: error: No command ...
1
vote
1answer
825 views

How to install the pylzma python library on Linux?

The pylzma library is a requirement for another tool that I would like to use. I am new to python and programming and have a few questions: I have already followed the procedure to download and ...
4
votes
1answer
993 views

How do I make Kate indent with spaces on Python files but use tabs for text files and other files?

My goal is to set Kate up to work properly on Python files but to use different settings (tabs not spaces) on other documents. I'm sure others are doing this, but I can't figure out a convenient ...
1
vote
1answer
29 views

Runnig python script, error appears

https://github.com/g-oikonomou/sensniff/blob/master/host/sensniff.py The link above refers to a python script that is to be ran on Ubuntu. When I run the script, the following error appears on the ...
0
votes
1answer
41 views

How do I make a python daemon run at bootup?

I am writing a Python program that will act as a custom converter for a hardware application for me on the raspberry pi. I have written python code to act as a daemon, but how do I go about making it ...
0
votes
0answers
12 views

LSF bsub implimentation of LUT

We have an implementation of LSF (bsub) on our HPC system. I want to run a model several times with various input parameters. I will have a table either csv or other format with the required ...
2
votes
1answer
113 views

Help me repair my python - I think dpkg has to be reset (very tricky issue)

first question in Unix & Linux - I really hope, someone can help... Summary (TL;DR) On my Kubuntu 14.4 (which has python 2.7.6 as standard) my python is broken after I tried to install python ...
1
vote
1answer
34 views

Warnings when opening programs via Python subprocess calls

I am attempting to open an image and a text file that my Python (3.3.2) program is creating (the files are created without issue). The last two lines of the program are: subprocess.call(['leafpad', ...
5
votes
1answer
35 views

Running Deamon Involving GPIO on Pi

I have a deamon that monitors various things using the GPIO ports. I have used python to write the code for this using the RPi.GPIO module. I would like to ensure that the deamon is always running, ...
-3
votes
2answers
100 views

Installing python on CentOS

I am unable to digest the fact that Linux CentOS requires users to do so much just for installing Python. It was so easy installing python on Ubuntu. Also since CentOS comes with python2.5 it leads ...
0
votes
2answers
93 views

Python 2.7.10 on centos 6.6 but no IDLE

I installed Python 2.7.10 on my Centos 6.6 32 bit laptop but when I type IDLE at the prompt I get this [sinux1@horriblehost ~]$ idle ** IDLE can't import Tkinter. Your Python may not be configured ...
1
vote
1answer
74 views

Can I execute a script before every login

I am planning to have a program that will need to connect to a server. I'd like to be able to send a encrypted password to my server. The thing is, I need my decrypting script to be executed ...
0
votes
0answers
35 views

Why won't MOTD display output from a Python script it calls outside of /etc/update-motd.d/ unless it's in this directory?

The Situation We're running a headless Ubuntu 14.10 Server to fulfill various needs and tests. I was experimenting with changing the MOTD for SSH sessions via /etc/update-motd.d/ so as to display ...
13
votes
3answers
58k views

How to install the latest Python version on Debian separately or upgrade?

I'm still new to Linux, so I'm still trying to understand where executables and their libraries are and how to install packages, so I have Debian Wheezy 7.3 which has these Python versions: Python ...